Subject: RE: GSE

From: "Tony Li" <[email-masked]>
Date: Fri, 1 Nov 2002 10:54:11 -0800

|   > Being agnostic about the structure of the identifier is a 
|   good thing for
|   > future extensibility. However, using identifiers with regular IPv6
|   > unicast semantics will make the transition a lot easier

If only have current IPv6 unicast semantics, then we don't get to 
change the architecture.

|   Question: would it be a desireable or even required property of an
|   identifier to be identifiable as such by all?

Yes, I think that there should be a common well known location for
the identifier in the packet header.  Ran's suggestion of 64 bits
would be fine with me.  We can talk about identification allocation
separately.  For the moment, I'm going to refer to this proposal as
16+16, for obvious reasons.
   
|   Obviously, the destination site or host would know whether 
|   one of its
|   addresses is an identifier or a locator. But would it be 
|   important for
|   others to be able to make this distinction? It might be 
|   good to avoid
|   trying to map a locator to a new locator. On the other 
|   hand, this means
|   identifiers have to come from a separate block of IPv6 address space
|   (assuming they look like IPv6 unicast addresses). This isn't (very)
|   compatible with an extra address negotiation solution or with
|   interoperation with non-multihoming aware systems.

I would suggest that we take a cue from 8+8 and make the two
number spaces completely orthogonal.  This avoids the confusion.

Tony